Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepHoldElection Method (UInt32)
DatabaseEnvironment Class See Also Send Feedback

Hold an election for the master of a replication group.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public void RepHoldElection(
    	uint nsites
    )

Visual Basic (Declaration)
    Public Sub RepHoldElection ( _
    	nsites As UInteger _
    )

Visual C++
    public:
    void RepHoldElection(
    	unsigned int nsites
    )

#### Parameters

nsites
  Type: System..::.UInt32
  The number of replication sites expected to participate in the election. Once the current site has election information from that many sites, it short-circuits the election and immediately casts its vote for a new master. If an application is using master leases, then the value must be 0 and RepNSites must be used.

# See Also

DatabaseEnvironment Class
RepHoldElection Overload
BerkeleyDB Namespace